#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ADC_DelSig_Ext_CP_Clk */
#define ADC_DelSig_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_DelSig_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_DelSig_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_DelSig_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_DelSig_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_DelSig_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_DelSig_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* ADC_DelSig_theACLK */
#define ADC_DelSig_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_DelSig_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_DelSig_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_DelSig_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_DelSig_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_DelSig_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_DelSig_theACLK__PM_ACT_MSK 0x01u
#define ADC_DelSig_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_DelSig_theACLK__PM_STBY_MSK 0x01u

/* ADC_DelSig_DSM4 */
#define ADC_DelSig_DSM4__BUF0 CYREG_DSM0_BUF0
#define ADC_DelSig_DSM4__BUF1 CYREG_DSM0_BUF1
#define ADC_DelSig_DSM4__BUF2 CYREG_DSM0_BUF2
#define ADC_DelSig_DSM4__BUF3 CYREG_DSM0_BUF3
#define ADC_DelSig_DSM4__CLK CYREG_DSM0_CLK
#define ADC_DelSig_DSM4__CR0 CYREG_DSM0_CR0
#define ADC_DelSig_DSM4__CR1 CYREG_DSM0_CR1
#define ADC_DelSig_DSM4__CR10 CYREG_DSM0_CR10
#define ADC_DelSig_DSM4__CR11 CYREG_DSM0_CR11
#define ADC_DelSig_DSM4__CR12 CYREG_DSM0_CR12
#define ADC_DelSig_DSM4__CR13 CYREG_DSM0_CR13
#define ADC_DelSig_DSM4__CR14 CYREG_DSM0_CR14
#define ADC_DelSig_DSM4__CR15 CYREG_DSM0_CR15
#define ADC_DelSig_DSM4__CR16 CYREG_DSM0_CR16
#define ADC_DelSig_DSM4__CR17 CYREG_DSM0_CR17
#define ADC_DelSig_DSM4__CR2 CYREG_DSM0_CR2
#define ADC_DelSig_DSM4__CR3 CYREG_DSM0_CR3
#define ADC_DelSig_DSM4__CR4 CYREG_DSM0_CR4
#define ADC_DelSig_DSM4__CR5 CYREG_DSM0_CR5
#define ADC_DelSig_DSM4__CR6 CYREG_DSM0_CR6
#define ADC_DelSig_DSM4__CR7 CYREG_DSM0_CR7
#define ADC_DelSig_DSM4__CR8 CYREG_DSM0_CR8
#define ADC_DelSig_DSM4__CR9 CYREG_DSM0_CR9
#define ADC_DelSig_DSM4__DEM0 CYREG_DSM0_DEM0
#define ADC_DelSig_DSM4__DEM1 CYREG_DSM0_DEM1
#define ADC_DelSig_DSM4__MISC CYREG_DSM0_MISC
#define ADC_DelSig_DSM4__OUT0 CYREG_DSM0_OUT0
#define ADC_DelSig_DSM4__OUT1 CYREG_DSM0_OUT1
#define ADC_DelSig_DSM4__REF0 CYREG_DSM0_REF0
#define ADC_DelSig_DSM4__REF1 CYREG_DSM0_REF1
#define ADC_DelSig_DSM4__REF2 CYREG_DSM0_REF2
#define ADC_DelSig_DSM4__REF3 CYREG_DSM0_REF3
#define ADC_DelSig_DSM4__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DelSig_DSM4__SW0 CYREG_DSM0_SW0
#define ADC_DelSig_DSM4__SW2 CYREG_DSM0_SW2
#define ADC_DelSig_DSM4__SW3 CYREG_DSM0_SW3
#define ADC_DelSig_DSM4__SW4 CYREG_DSM0_SW4
#define ADC_DelSig_DSM4__SW6 CYREG_DSM0_SW6
#define ADC_DelSig_DSM4__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DelSig_DSM4__TST0 CYREG_DSM0_TST0
#define ADC_DelSig_DSM4__TST1 CYREG_DSM0_TST1

/* ADC_DelSig_DEC */
#define ADC_DelSig_DEC__COHER CYREG_DEC_COHER
#define ADC_DelSig_DEC__CR CYREG_DEC_CR
#define ADC_DelSig_DEC__DR1 CYREG_DEC_DR1
#define ADC_DelSig_DEC__DR2 CYREG_DEC_DR2
#define ADC_DelSig_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DelSig_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DelSig_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DelSig_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DelSig_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DelSig_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DelSig_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DelSig_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DelSig_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DelSig_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DelSig_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DelSig_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DelSig_DEC__PM_ACT_MSK 0x01u
#define ADC_DelSig_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DelSig_DEC__PM_STBY_MSK 0x01u
#define ADC_DelSig_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DelSig_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DelSig_DEC__SR CYREG_DEC_SR
#define ADC_DelSig_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DelSig_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DelSig_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DelSig_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DelSig_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DelSig_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DelSig_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DelSig_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_DelSig_IRQ */
#define ADC_DelSig_IRQ__ES2_PATCH 0
#define ADC_DelSig_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define ADC_DelSig_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define ADC_DelSig_IRQ__INTC_MASK 0x20u
#define ADC_DelSig_IRQ__INTC_NUMBER 29
#define ADC_DelSig_IRQ__INTC_PRIOR_NUM 7
#define ADC_DelSig_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR29
#define ADC_DelSig_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define ADC_DelSig_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define ADC_DelSig_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x3Au)

/* Input_Voltage */
#define Input_Voltage__0__MASK 0x01u
#define Input_Voltage__0__PC CYREG_PRT0_PC0
#define Input_Voltage__0__PORT 0
#define Input_Voltage__0__SHIFT 0
#define Input_Voltage__AG CYREG_PRT0_AG
#define Input_Voltage__AMUX CYREG_PRT0_AMUX
#define Input_Voltage__BIE CYREG_PRT0_BIE
#define Input_Voltage__BIT_MASK CYREG_PRT0_BIT_MASK
#define Input_Voltage__BYP CYREG_PRT0_BYP
#define Input_Voltage__CTL CYREG_PRT0_CTL
#define Input_Voltage__DM0 CYREG_PRT0_DM0
#define Input_Voltage__DM1 CYREG_PRT0_DM1
#define Input_Voltage__DM2 CYREG_PRT0_DM2
#define Input_Voltage__DR CYREG_PRT0_DR
#define Input_Voltage__INP_DIS CYREG_PRT0_INP_DIS
#define Input_Voltage__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Input_Voltage__LCD_EN CYREG_PRT0_LCD_EN
#define Input_Voltage__PORT 0
#define Input_Voltage__PRT CYREG_PRT0_PRT
#define Input_Voltage__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Input_Voltage__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Input_Voltage__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Input_Voltage__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Input_Voltage__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Input_Voltage__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Input_Voltage__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Input_Voltage__PS CYREG_PRT0_PS
#define Input_Voltage__SLW CYREG_PRT0_SLW

/* VDAC8_viDAC8 */
#define VDAC8_viDAC8__CR0 CYREG_DAC2_CR0
#define VDAC8_viDAC8__CR1 CYREG_DAC2_CR1
#define VDAC8_viDAC8__D CYREG_DAC2_D
#define VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_viDAC8__PM_ACT_MSK 0x04u
#define VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_viDAC8__PM_STBY_MSK 0x04u
#define VDAC8_viDAC8__STROBE CYREG_DAC2_STROBE
#define VDAC8_viDAC8__SW0 CYREG_DAC2_SW0
#define VDAC8_viDAC8__SW2 CYREG_DAC2_SW2
#define VDAC8_viDAC8__SW3 CYREG_DAC2_SW3
#define VDAC8_viDAC8__SW4 CYREG_DAC2_SW4
#define VDAC8_viDAC8__TR CYREG_DAC2_TR
#define VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define VDAC8_viDAC8__TST CYREG_DAC2_TST

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* Filter_DFB */
#define Filter_DFB__ACU_SRAM_DATA CYREG_DFB0_ACU_SRAM_DATA_MBASE
#define Filter_DFB__COHER CYREG_DFB0_COHER
#define Filter_DFB__CR CYREG_DFB0_CR
#define Filter_DFB__CSA_SRAM_DATA CYREG_DFB0_CSA_SRAM_DATA_MBASE
#define Filter_DFB__CSB_SRAM_DATA CYREG_DFB0_CSB_SRAM_DATA_MBASE
#define Filter_DFB__DALIGN CYREG_DFB0_DALIGN
#define Filter_DFB__DMA_CTRL CYREG_DFB0_DMA_CTRL
#define Filter_DFB__DPA_SRAM_DATA CYREG_DFB0_DPA_SRAM_DATA_MBASE
#define Filter_DFB__DPB_SRAM_DATA CYREG_DFB0_DPB_SRAM_DATA_MBASE
#define Filter_DFB__DSI_CTRL CYREG_DFB0_DSI_CTRL
#define Filter_DFB__FSM_SRAM_DATA CYREG_DFB0_FSM_SRAM_DATA_MBASE
#define Filter_DFB__HOLDA CYREG_DFB0_HOLDA
#define Filter_DFB__HOLDAH CYREG_DFB0_HOLDAH
#define Filter_DFB__HOLDAM CYREG_DFB0_HOLDAM
#define Filter_DFB__HOLDAS CYREG_DFB0_HOLDAS
#define Filter_DFB__HOLDB CYREG_DFB0_HOLDB
#define Filter_DFB__HOLDBH CYREG_DFB0_HOLDBH
#define Filter_DFB__HOLDBM CYREG_DFB0_HOLDBM
#define Filter_DFB__HOLDBS CYREG_DFB0_HOLDBS
#define Filter_DFB__INT_CTRL CYREG_DFB0_INT_CTRL
#define Filter_DFB__PM_ACT_CFG CYREG_PM_ACT_CFG6
#define Filter_DFB__PM_ACT_MSK 0x10u
#define Filter_DFB__PM_STBY_CFG CYREG_PM_STBY_CFG6
#define Filter_DFB__PM_STBY_MSK 0x10u
#define Filter_DFB__RAM_DIR CYREG_DFB0_RAM_DIR
#define Filter_DFB__RAM_EN CYREG_DFB0_RAM_EN
#define Filter_DFB__SEMA CYREG_DFB0_SEMA
#define Filter_DFB__SR CYREG_DFB0_SR
#define Filter_DFB__STAGEA CYREG_DFB0_STAGEA
#define Filter_DFB__STAGEAH CYREG_DFB0_STAGEAH
#define Filter_DFB__STAGEAM CYREG_DFB0_STAGEAM
#define Filter_DFB__STAGEB CYREG_DFB0_STAGEB
#define Filter_DFB__STAGEBH CYREG_DFB0_STAGEBH
#define Filter_DFB__STAGEBM CYREG_DFB0_STAGEBM

/* VDAC_Out */
#define VDAC_Out__0__MASK 0x04u
#define VDAC_Out__0__PC CYREG_PRT0_PC2
#define VDAC_Out__0__PORT 0
#define VDAC_Out__0__SHIFT 2
#define VDAC_Out__AG CYREG_PRT0_AG
#define VDAC_Out__AMUX CYREG_PRT0_AMUX
#define VDAC_Out__BIE CYREG_PRT0_BIE
#define VDAC_Out__BIT_MASK CYREG_PRT0_BIT_MASK
#define VDAC_Out__BYP CYREG_PRT0_BYP
#define VDAC_Out__CTL CYREG_PRT0_CTL
#define VDAC_Out__DM0 CYREG_PRT0_DM0
#define VDAC_Out__DM1 CYREG_PRT0_DM1
#define VDAC_Out__DM2 CYREG_PRT0_DM2
#define VDAC_Out__DR CYREG_PRT0_DR
#define VDAC_Out__INP_DIS CYREG_PRT0_INP_DIS
#define VDAC_Out__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define VDAC_Out__LCD_EN CYREG_PRT0_LCD_EN
#define VDAC_Out__PORT 0
#define VDAC_Out__PRT CYREG_PRT0_PRT
#define VDAC_Out__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define VDAC_Out__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define VDAC_Out__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define VDAC_Out__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define VDAC_Out__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define VDAC_Out__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define VDAC_Out__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define VDAC_Out__PS CYREG_PRT0_PS
#define VDAC_Out__SLW CYREG_PRT0_SLW

/* DMA_1 */
#define DMA_1__DRQ_CTL CYREG_IDMUX_DRQ_CTL2
#define DMA_1__DRQ_NUMBER 10
#define DMA_1__NUMBEROF_TDS 0
#define DMA_1__PRIORITY 2
#define DMA_1__TERMIN_EN 0
#define DMA_1__TERMIN_SEL 0
#define DMA_1__TERMOUT0_EN 0
#define DMA_1__TERMOUT0_SEL 0
#define DMA_1__TERMOUT1_EN 0
#define DMA_1__TERMOUT1_SEL 0

/* DMA_2 */
#define DMA_2__DRQ_CTL CYREG_IDMUX_DRQ_CTL2
#define DMA_2__DRQ_NUMBER 9
#define DMA_2__NUMBEROF_TDS 0
#define DMA_2__PRIORITY 2
#define DMA_2__TERMIN_EN 0
#define DMA_2__TERMIN_SEL 0
#define DMA_2__TERMOUT0_EN 0
#define DMA_2__TERMOUT0_SEL 0
#define DMA_2__TERMOUT1_EN 0
#define DMA_2__TERMOUT1_SEL 0

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_APPLICATION_ID 0x0000
#define CYDEV_APPLICATION_VERSION 0x0000
#define CYDEV_BOOTLOADER_CHECKSUM CYDEV_BOOTLOADER_CHECKSUM_BASIC
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_FAST_VERIFY 0
#define CYDEV_BOOTLOADER_VERSION 0x0000
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 200
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CUSTOM_ID 0x00000000
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CyBtldr_Custom_Interface CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
#define DMA_CHANNELS_USED__MASK0 0x00000600u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
